Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.eis.interactions
Class IndexedInteraction

`java.lang.Object
DatasourceCall
oracle.toplink.eis.interactions.EISInteraction
oracle.toplink.eis.interactions.IndexedInteraction`

public class IndexedInteraction
extends EISInteraction

Defines the specification for a call to a JCA interaction that uses indexed records. Builds the input and output records from the arguments.

Since:
  OracleAS TopLink 10g (10.0.3)
See Also:
  Serialized Form

Constructor Summary
`IndexedInteraction()` Default constructor.

Method Summary
`void` | `addArgument(java.lang.String argumentFieldName)` PUBLIC: Define the argument to the interaction for the index argument.
`void` | `addArgumentValue(java.lang.Object argumentValue)` PUBLIC: Define the argument to the interaction for the index argument.
`void` | `addOutputArgument(java.lang.String argumentFieldName)` PUBLIC: Define the field/argument name to be substitute for the index output argument.
`DatabaseRow` | `buildRow(javax.resource.cci.Record record, EISAccessor accessor)` Build a database row from the record returned from the interaction.
`javax.resource.cci.Record` | `createInputRecord(EISAccessor accessor)` Create an indexed input record for this interaction.
`java.util.Vector` | `getArguments()` The arguments are the values in order of occurance in the record.
`java.util.Vector` | `getOutputArguments()` The output arguments in order of occurance in the record.
`void` | `setArguments(java.util.Vector arguments)` The arguments are the values in order of occurance in the record.
`void` | `setOutputArguments(java.util.Vector outputArguments)` The output arguments in order of occurance in the record.

Methods inherited from class oracle.toplink.eis.interactions.EISInteraction
`addOutputArgument, buildRows, createRecordElement, getFunctionName, getInputRecordName, getInteractionSpec, getLogString, getOutputArgumentNames, getOutputResultPath, getProperties, getProperty, hasArguments, hasOutputArguments, isEISInteraction, prepare, setFunctionName, setInputRecordName, setInputRow, setInteractionSpec, setOutputArgumentNames, setOutputResultPath, setProperties, setProperty, toString, translate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IndexedInteraction

    public IndexedInteraction()

  Default constructor.

Method Detail

### addArgument

    public void addArgument(java.lang.String argumentFieldName)

  PUBLIC: Define the argument to the interaction for the index argument. This must be called in the order of the arguments in the input indexed record. The argumentFieldName is the field or argument name in the descriptor that maps to the indexed value.

### addArgumentValue

    public void addArgumentValue(java.lang.Object argumentValue)

  PUBLIC: Define the argument to the interaction for the index argument. This must be called in the order of the arguments in the input indexed record. The argumentValue is the value of the argument to be used to pass to the interaction.

### addOutputArgument

    public void addOutputArgument(java.lang.String argumentFieldName)

  PUBLIC: Define the field/argument name to be substitute for the index output argument. This must be called in the order of the output arguments in the result indexed record. The argumentFieldName is the field or argument name in the descriptor that maps to the indexed value.
  Overrides:
    `addOutputArgument` in class `EISInteraction`

### getArguments

    public java.util.Vector getArguments()

  The arguments are the values in order of occurance in the record.
  Overrides:
    `getArguments` in class `EISInteraction`

### getOutputArguments

    public java.util.Vector getOutputArguments()

  The output arguments in order of occurance in the record.
  Overrides:
    `getOutputArguments` in class `EISInteraction`

### setArguments

    public void setArguments(java.util.Vector arguments)

  The arguments are the values in order of occurance in the record.
  Overrides:
    `setArguments` in class `EISInteraction`

### setOutputArguments

    public void setOutputArguments(java.util.Vector outputArguments)

  The output arguments in order of occurance in the record.
  Overrides:
    `setOutputArguments` in class `EISInteraction`

### createInputRecord

    public javax.resource.cci.Record createInputRecord(EISAccessor accessor)

  Create an indexed input record for this interaction. Populate the data into the record from this interaction's arguments.
  Specified by:
    `createInputRecord` in class `EISInteraction`

### buildRow

    public DatabaseRow buildRow(javax.resource.cci.Record record,
                                EISAccessor accessor)

  Build a database row from the record returned from the interaction. Also handles MappedRecords for case of input being indexed but mapped ouput.
  Specified by:
    `buildRow` in class `EISInteraction`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD